package com.jkcredit.invoice.service.selfCar.impl;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.jkcredit.invoice.mapper.waybill.SellCarTradeMapper;
import com.jkcredit.invoice.model.entity.waybill.SelfCarTrade;
import com.jkcredit.invoice.service.selfCar.SelfCarTradeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
@Service
public class SelfCarTradeServiceImpl extends ServiceImpl<SellCarTradeMapper,SelfCarTrade> implements SelfCarTradeService{
    @Autowired
    SellCarTradeMapper sellCarTradeMapper;
    @Override
    public IPage<List<SelfCarTrade>> findByPageAndTrade(Page page, SelfCarTrade selfCarTrade) {
        return sellCarTradeMapper.selectAllByPage(page,selfCarTrade);
    }
}
